PERFORCE change 35054 for review

Marcel Moolenaar marcel at FreeBSD.org
Sat Jul 26 13:55:37 PDT 2003


http://perforce.freebsd.org/chv.cgi?CH=35054

Change 35054 by marcel at marcel_nfs on 2003/07/26 13:55:01

	IFC @35052

Affected files ...

.. //depot/projects/ia64/etc/rc.d/dhclient#7 integrate
.. //depot/projects/ia64/lib/libc/amd64/gen/signalcontext.c#2 integrate
.. //depot/projects/ia64/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml#109 integrate
.. //depot/projects/ia64/sbin/devfs/devfs.8#6 integrate
.. //depot/projects/ia64/sbin/fsck/fsck.8#7 integrate
.. //depot/projects/ia64/sbin/fsck/fsck.c#11 integrate
.. //depot/projects/ia64/sys/dev/acpica/acpi_button.c#7 integrate
.. //depot/projects/ia64/sys/dev/buslogic/bt.c#11 integrate
.. //depot/projects/ia64/sys/dev/ed/if_ed_pccard.c#15 integrate
.. //depot/projects/ia64/sys/dev/patm/if_patm_rx.c#2 integrate
.. //depot/projects/ia64/sys/dev/pccard/pccarddevs#32 integrate
.. //depot/projects/ia64/sys/dev/pccard/pccarddevs.h#32 integrate
.. //depot/projects/ia64/sys/ia64/include/cpu.h#17 integrate
.. //depot/projects/ia64/sys/netatm/atm_cm.c#16 integrate
.. //depot/projects/ia64/usr.sbin/burncd/burncd.c#14 integrate

Differences ...

==== //depot/projects/ia64/etc/rc.d/dhclient#7 (text+ko) ====

@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $NetBSD: dhclient,v 1.8 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/dhclient,v 1.6 2003/06/29 05:34:41 mtm Exp $
+# $FreeBSD: src/etc/rc.d/dhclient,v 1.8 2003/07/26 18:58:46 mtm Exp $
 #
 
 # PROVIDE: dhclient
@@ -23,7 +23,6 @@
 	rcvar=
 	start_precmd="dhclient_prestart"
 	start_postcmd="dhclient_poststart"
-	stop_cmd="dhclient_stop"
 	stop_precmd="dhclient_prestop"
 	stop_postcmd="dhclient_poststop"
 	;;
@@ -73,8 +72,14 @@
 	done
 }
 
-dhclient_stop()
+dhclient_prestop()
 {
+	dhclient_common || return 1
+
+	for ifn in ${_cooked_list}; do
+		ipx_down ${ifn}
+		ifalias_down ${ifn}
+	done
 	echo -n "Releasing DHCP leases:"
 	for ifn in $_cooked_list ; do
 		${command} -r $ifn
@@ -88,16 +93,6 @@
 	debug "The following leases failed to release: $_fail"
 }
 
-dhclient_prestop()
-{
-	dhclient_common || return 1
-
-	for ifn in ${_cooked_list}; do
-		ipx_down ${ifn}
-		ifalias_down ${ifn}
-	done
-}
-
 dhclient_poststop()
 {
 	for ifn in ${_cooked_list}; do
@@ -107,6 +102,7 @@
 
 if [ -n "$2" ]; then
 	_cmdifn="$2"
+	stop_cmd=":"
 fi
 
 load_rc_config $name

==== //depot/projects/ia64/lib/libc/amd64/gen/signalcontext.c#2 (text+ko) ====

@@ -25,7 +25,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/lib/libc/amd64/gen/signalcontext.c,v 1.1 2003/07/19 04:41:08 deischen Exp $");
+__FBSDID("$FreeBSD: src/lib/libc/amd64/gen/signalcontext.c,v 1.2 2003/07/26 12:58:28 davidxu Exp $");
 
 #include <sys/types.h>
 #include <sys/ucontext.h>
@@ -79,6 +79,7 @@
 	ucp->uc_link = sig_uc;
 	sigdelset(&ucp->uc_sigmask, sig);
 
+	ucp->uc_mcontext.mc_len = sizeof(mcontext_t);
 	ucp->uc_mcontext.mc_rdi = (register_t)ucp;
 	ucp->uc_mcontext.mc_rsi = (register_t)func;
 	ucp->uc_mcontext.mc_rdx = (register_t)args;

==== //depot/projects/ia64/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml#109 (text+ko) ====

@@ -3,7 +3,7 @@
 
   <corpauthor>The FreeBSD Project</corpauthor>
 
-  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v 1.596 2003/07/25 14:08:32 hrs Exp $</pubdate>
+  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v 1.597 2003/07/26 13:04:40 simon Exp $</pubdate>
 
   <copyright>
     <year>2000</year>
@@ -329,14 +329,6 @@
       more functionality and is updated by as part of
       buildworld/installworld operations.  More details can be found in
       &man.rescue.7;.
-
-      <note>
-        <para>Due to some cross-build interactions,
-        <filename>/rescue</filename> is currently disabled by default
-        and only included in buildworld/installworld operations if the
-        <varname>RESCUE</varname> Makefile variable is set.</para>
-      </note>
-
       </para>
 
   </sect2>

==== //depot/projects/ia64/sbin/devfs/devfs.8#6 (text+ko) ====

@@ -23,7 +23,7 @@
 .\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 .\" SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/sbin/devfs/devfs.8,v 1.6 2003/06/17 09:53:03 sobomax Exp $
+.\" $FreeBSD: src/sbin/devfs/devfs.8,v 1.7 2003/07/26 12:41:44 simon Exp $
 .\"
 .Dd July 1, 2002
 .Dt DEVFS 8
@@ -43,7 +43,9 @@
 .Xr devfs 5
 mounts.
 .Pp
-The first keyword after the program name determines the context for
+The
+.Ar keyword
+argument determines the context for
 the rest of the arguments.
 For example,
 most of the commands related to the rule subsystem must be preceded by the
@@ -339,10 +341,10 @@
 but ruleset 10 may already have rules with non-conflicting numbers
 (these will be preserved).
 .Sh SEE ALSO
+.Xr chmod 1 ,
 .Xr jail 2 ,
 .Xr glob 3 ,
 .Xr devfs 5 ,
-.Xr chmod 1 ,
 .Xr chown 8 ,
 .Xr jail 8 ,
 .Xr mknod 8

==== //depot/projects/ia64/sbin/fsck/fsck.8#7 (text+ko) ====

@@ -1,5 +1,5 @@
 .\"	$NetBSD: fsck.8,v 1.19 1999/03/10 00:08:33 erh Exp $
-.\"	$FreeBSD: src/sbin/fsck/fsck.8,v 1.32 2002/12/27 12:15:32 schweikh Exp $
+.\"	$FreeBSD: src/sbin/fsck/fsck.8,v 1.33 2003/07/26 12:57:56 simon Exp $
 .\"
 .\" Copyright (c) 1996 Christos Zoulas.  All rights reserved.
 .\"
@@ -36,9 +36,8 @@
 .Nd file system consistency check and interactive repair
 .Sh SYNOPSIS
 .Nm
-.Op Fl dvplfyn
+.Op Fl dvpfyn
 .Op Fl B | F
-.Op Fl l Ar maxparallel
 .Op Fl t Ar fstype
 .Op Fl T Ar fstype : Ns Ar fsoptions
 .Op Ar special | node ...

==== //depot/projects/ia64/sbin/fsck/fsck.c#11 (text+ko) ====

@@ -39,7 +39,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sbin/fsck/fsck.c,v 1.15 2003/06/29 17:53:48 gordon Exp $");
+__FBSDID("$FreeBSD: src/sbin/fsck/fsck.c,v 1.16 2003/07/26 15:29:10 maxim Exp $");
 
 #include <sys/param.h>
 #include <sys/mount.h>
@@ -567,7 +567,7 @@
 usage(void)
 {
 	static const char common[] =
-	    "[-BFdpvlyn] [-T fstype:fsoptions] [-t fstype]";
+	    "[-BFdfnpvy] [-T fstype:fsoptions] [-t fstype]";
 
 	(void)fprintf(stderr, "usage: %s %s [special|node]...\n",
 	    getprogname(), common);

==== //depot/projects/ia64/sys/dev/acpica/acpi_button.c#7 (text+ko) ====

@@ -25,7 +25,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *	$FreeBSD: src/sys/dev/acpica/acpi_button.c,v 1.11 2002/07/22 12:52:54 iwasaki Exp $
+ *	$FreeBSD: src/sys/dev/acpica/acpi_button.c,v 1.12 2003/07/26 09:54:17 takawata Exp $
  */
 
 #include "opt_acpi.h"
@@ -64,6 +64,7 @@
     DEVMETHOD(device_probe,	acpi_button_probe),
     DEVMETHOD(device_attach,	acpi_button_attach),
     DEVMETHOD(device_suspend,	acpi_button_suspend),
+    DEVMETHOD(device_shutdown,	acpi_button_suspend),
     DEVMETHOD(device_resume,	acpi_button_resume),
 
     {0, 0}

==== //depot/projects/ia64/sys/dev/buslogic/bt.c#11 (text+ko) ====

@@ -30,7 +30,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/dev/buslogic/bt.c,v 1.40 2003/07/01 15:51:54 scottl Exp $
+ * $FreeBSD: src/sys/dev/buslogic/bt.c,v 1.41 2003/07/26 11:53:40 bde Exp $
  */
 
  /*
@@ -961,9 +961,9 @@
 		if ((i >= BT_NUM_ISAPORTS)
 		 || (ioport != bt_isa_ports[i].addr)) {
 			printf(
-"bt_isa_probe: Invalid baseport of 0x%x specified.\n"
-"bt_isa_probe: Nearest valid baseport is 0x%x.\n"
-"bt_isa_probe: Failing probe.\n",
+"bt_find_probe_range: Invalid baseport of 0x%x specified.\n"
+"bt_find_probe_range: Nearest valid baseport is 0x%x.\n"
+"bt_find_probe_range: Failing probe.\n",
 			       ioport,
 			       (i < BT_NUM_ISAPORTS)
 				    ? bt_isa_ports[i].addr

==== //depot/projects/ia64/sys/dev/ed/if_ed_pccard.c#15 (text+ko) ====

@@ -24,7 +24,7 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- * $FreeBSD: src/sys/dev/ed/if_ed_pccard.c,v 1.49 2003/07/19 05:36:09 imp Exp $
+ * $FreeBSD: src/sys/dev/ed/if_ed_pccard.c,v 1.50 2003/07/26 17:52:09 imp Exp $
  */
 
 #include "opt_ed.h"
@@ -173,6 +173,7 @@
 	{ PCMCIA_CARD(SOCKET, EA_ETHER, 0), 0},
 	{ PCMCIA_CARD(SOCKET, LP_ETHER, 0), 0},
 	{ PCMCIA_CARD(SOCKET, LP_ETHER_CF, 0), 0},
+	{ PCMCIA_CARD(SOCKET, LP_ETH_10_100_CF, 0), 0},
 	{ PCMCIA_CARD(SVEC, COMBOCARD, 0), 0},
 	{ PCMCIA_CARD(SVEC, LANCARD, 0), 0},
 	{ PCMCIA_CARD(SYNERGY21, S21810, 0), 0},

==== //depot/projects/ia64/sys/dev/patm/if_patm_rx.c#2 (text+ko) ====

@@ -29,7 +29,7 @@
  * Driver for IDT77252 based cards like ProSum's.
  */
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sys/dev/patm/if_patm_rx.c,v 1.1 2003/07/15 11:57:23 harti Exp $");
+__FBSDID("$FreeBSD: src/sys/dev/patm/if_patm_rx.c,v 1.2 2003/07/26 14:57:26 harti Exp $");
 
 #include "opt_inet.h"
 #include "opt_natm.h"
@@ -84,12 +84,6 @@
 {
 	patm_sram_write(sc, sc->mmap->rct + cid * IDT_RCT_ENTRY_SIZE + w, val);
 }
-static __inline void
-rct_init(struct patm_softc *sc, u_int cid, u_int w1)
-{
-	patm_sram_write4(sc, sc->mmap->rct + cid * IDT_RCT_ENTRY_SIZE,
-	    w1, 0, 0, 0xffffffff);
-}
 static __inline u_int
 rct_read(struct patm_softc *sc, u_int cid, u_int w)
 {
@@ -130,7 +124,8 @@
 	}
 
 	if (vcc->cid != 0)
-		rct_init(sc, vcc->cid, w1);
+		patm_sram_write4(sc, sc->mmap->rct + vcc->cid *
+		    IDT_RCT_ENTRY_SIZE, w1, 0, 0, 0xffffffff);
 	else {
 		/* switch the interface into promiscuous mode */
 		patm_nor_write(sc, IDT_NOR_CFG, patm_nor_read(sc, IDT_NOR_CFG) |

==== //depot/projects/ia64/sys/dev/pccard/pccarddevs#32 (text+ko) ====

@@ -1,5 +1,5 @@
-$FreeBSD: src/sys/dev/pccard/pccarddevs,v 1.60 2003/07/19 05:49:17 imp Exp $
-/* $NetBSD: pcmciadevs,v 1.182 2003/04/09 02:09:55 christos Exp $ */
+$FreeBSD: src/sys/dev/pccard/pccarddevs,v 1.61 2003/07/26 17:45:45 imp Exp $
+/* $NetBSD: pcmciadevs,v 1.184 2003/07/26 10:39:32 martin Exp $ */
 /* $OpenBSD: pcmciadevs,v 1.93 2002/06/21 08:31:10 henning Exp $ */
 
 /*-
@@ -49,6 +49,7 @@
 vendor NEWMEDIA			0x0057	New Media Corporation
 vendor INTEL			0x0089	Intel
 vendor IBM			0x00a4	IBM Corporation
+vendor SHARP			0x00b0  Sharp Corporation
 vendor 3COM			0x0101	3Com Corporation
 vendor MEGAHERTZ		0x0102	Megahertz Corporation
 vendor SOCKET			0x0104	Socket Communications
@@ -376,6 +377,9 @@
 /* Sandisk Products */
 product SANDISK SDCFB		0x0401 Sandisk CompactFlash Card
 
+/* Sharp Products */
+product SHARP PALDIO611S	0x0000  PALDIO 611S PC CARD
+
 /* Siemens */
 product SIEMENS SS1021		0x0002 Siemens SpeedStream 1021
 
@@ -395,6 +399,7 @@
 product SOCKET DUAL_RS232	0x0006 Socket Communications Dual RS232
 product SOCKET LP_ETHER		0x000d Socket Communications LP-E
 product SOCKET LP_ETHER_CF	0x0075 Socket Communications LP-E CF
+product SOCKET LP_ETH_10_100_CF 0x0145 Socket Communications 10/100 Ethernet
 
 /* Symbol */
 product	SYMBOL LA4100		0x0001	Symbol Spectrum24 LA4100 Series WLAN

==== //depot/projects/ia64/sys/dev/pccard/pccarddevs.h#32 (text+ko) ====

@@ -1,12 +1,12 @@
-/*	$FreeBSD: src/sys/dev/pccard/pccarddevs.h,v 1.60 2003/07/19 05:51:10 imp Exp $	*/
+/*	$FreeBSD: src/sys/dev/pccard/pccarddevs.h,v 1.61 2003/07/26 17:46:43 imp Exp $	*/
 
 /*
  * THIS FILE AUTOMATICALLY GENERATED.  DO NOT EDIT.
  *
  * generated from:
- *	FreeBSD: src/sys/dev/pccard/pccarddevs,v 1.60 2003/07/19 05:49:17 imp Exp 
+ *	FreeBSD: src/sys/dev/pccard/pccarddevs,v 1.61 2003/07/26 17:45:45 imp Exp 
  */
-/* $NetBSD: pcmciadevs,v 1.182 2003/04/09 02:09:55 christos Exp $ */
+/* $NetBSD: pcmciadevs,v 1.184 2003/07/26 10:39:32 martin Exp $ */
 /* $OpenBSD: pcmciadevs,v 1.93 2002/06/21 08:31:10 henning Exp $ */
 
 /*-
@@ -56,6 +56,7 @@
 #define	PCMCIA_VENDOR_NEWMEDIA	0x0057	/* New Media Corporation */
 #define	PCMCIA_VENDOR_INTEL	0x0089	/* Intel */
 #define	PCMCIA_VENDOR_IBM	0x00a4	/* IBM Corporation */
+#define	PCMCIA_VENDOR_SHARP	0x00b0	/* Sharp Corporation */
 #define	PCMCIA_VENDOR_3COM	0x0101	/* 3Com Corporation */
 #define	PCMCIA_VENDOR_MEGAHERTZ	0x0102	/* Megahertz Corporation */
 #define	PCMCIA_VENDOR_SOCKET	0x0104	/* Socket Communications */
@@ -649,6 +650,11 @@
 #define	PCMCIA_PRODUCT_SANDISK_SDCFB	0x0401
 #define	PCMCIA_STR_SANDISK_SDCFB	"Sandisk CompactFlash Card"
 
+/* Sharp Products */
+#define	PCMCIA_CIS_SHARP_PALDIO611S	{ NULL, NULL, NULL, NULL }
+#define	PCMCIA_PRODUCT_SHARP_PALDIO611S	0x0000
+#define	PCMCIA_STR_SHARP_PALDIO611S	"PALDIO 611S PC CARD"
+
 /* Siemens */
 #define	PCMCIA_CIS_SIEMENS_SS1021	{ NULL, NULL, NULL, NULL }
 #define	PCMCIA_PRODUCT_SIEMENS_SS1021	0x0002
@@ -690,6 +696,9 @@
 #define	PCMCIA_CIS_SOCKET_LP_ETHER_CF	{ NULL, NULL, NULL, NULL }
 #define	PCMCIA_PRODUCT_SOCKET_LP_ETHER_CF	0x0075
 #define	PCMCIA_STR_SOCKET_LP_ETHER_CF	"Socket Communications LP-E CF"
+#define	PCMCIA_CIS_SOCKET_LP_ETH_10_100_CF	{ NULL, NULL, NULL, NULL }
+#define	PCMCIA_PRODUCT_SOCKET_LP_ETH_10_100_CF	0x0145
+#define	PCMCIA_STR_SOCKET_LP_ETH_10_100_CF	"Socket Communications 10/100 Ethernet"
 
 /* Symbol */
 #define	PCMCIA_CIS_SYMBOL_LA4100	{ NULL, NULL, NULL, NULL }

==== //depot/projects/ia64/sys/ia64/include/cpu.h#17 (text+ko) ====

@@ -1,4 +1,4 @@
-/* $FreeBSD: src/sys/ia64/include/cpu.h,v 1.33 2003/06/06 23:27:18 marcel Exp $ */
+/* $FreeBSD: src/sys/ia64/include/cpu.h,v 1.34 2003/07/26 10:13:30 marcel Exp $ */
 /* From: NetBSD: cpu.h,v 1.18 1997/09/23 23:17:49 mjacob Exp */
 
 /*
@@ -114,7 +114,6 @@
 int	ia64_highfp_load(struct thread *);
 int	ia64_highfp_save(struct thread *);
 void	ia64_init(void);
-int	ia64_pa_access(u_long);
 void	init_prom_interface(struct rpb*);
 void	interrupt(u_int64_t, struct trapframe *);
 void	machine_check(unsigned long, struct trapframe *, unsigned long,

==== //depot/projects/ia64/sys/netatm/atm_cm.c#16 (text+ko) ====

@@ -31,7 +31,7 @@
  */
 
 #include <sys/cdefs.h>
-__FBSDID("$FreeBSD: src/sys/netatm/atm_cm.c,v 1.30 2003/07/25 06:43:41 harti Exp $");
+__FBSDID("$FreeBSD: src/sys/netatm/atm_cm.c,v 1.31 2003/07/26 14:20:37 harti Exp $");
 
 #include <sys/param.h>
 #include <sys/systm.h>
@@ -2779,8 +2779,7 @@
 			 * We have to allocate another buffer and tack it
 			 * onto the front of the packet
 			 */
-			KB_ALLOCPKT(n, llcp->v.llc_len, KB_F_NOWAIT,
-					KB_T_HEADER);
+			MGETHDR(n, KB_F_NOWAIT, KB_T_HEADER);
 			if (n == 0) {
 				err = ENOMEM;
 				goto done;

==== //depot/projects/ia64/usr.sbin/burncd/burncd.c#14 (text+ko) ====

@@ -25,7 +25,7 @@
  * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  *
- * $FreeBSD: src/usr.sbin/burncd/burncd.c,v 1.36 2003/05/04 10:09:57 sos Exp $
+ * $FreeBSD: src/usr.sbin/burncd/burncd.c,v 1.37 2003/07/26 12:14:58 pb Exp $
  */
 
 #include <unistd.h>
@@ -611,8 +611,10 @@
 	size = 0;
 
 	while ((count = read(track_info->file, buf,
-			     MIN((track_info->file_size - size),
-				 track_info->block_size * BLOCKS))) > 0) {	
+			     track_info->file_size == -1
+				? track_info->block_size * BLOCKS
+				: MIN((track_info->file_size - size),
+				      track_info->block_size * BLOCKS))) > 0) {	
 		int res;
 
 		if (count % track_info->block_size) {
@@ -641,7 +643,8 @@
 			fprintf(stderr, " total %jd KB\r", 
 			    (intmax_t)tot_size / 1024);
 		}
-		if (size >= track_info->file_size)
+		if (track_info->file_size != -1
+		    && size >= track_info->file_size)
 			break;
 	}
 


More information about the p4-projects mailing list